// Import Data
forval y = 2010/2015 {
    import excel mi_warn_updated_celestin.xlsx, sheet("`y'") firstrow allstring clear
	tempfile mi`y'
    save `mi`y''
}
*

use `mi2010', clear
forval y = 2011/2015 {
    append using `mi`y''
}
*



g state = "MI"

replace LayoffDate = "4/22/2012" if LayoffDate == "22apr2012"

g receive_date = date(DateReceived,"MDY")
g announce_date = date(AnnouncementDate,"MDY")
g layoff_date = date(LayoffDate,"MDY")
format receive_date announce_date layoff_date %td


g dp1 = strpos(LayoffDate,"/") if layoff_date == .
g dp2 = trim(substr(LayoffDate,max(dp1-2,1),10)) if layoff_date == . & dp1 != 0
g dp3 = strpos(dp2,"/") if dp2 != ""
replace dp2 = substr(dp2,1,9) if dp3 == 2
g dp4 = strpos(dp2,",")
replace dp4 = strpos(dp2,"-") if dp4 == 0
replace dp2 = substr(dp2,1,dp4-1) if dp4 != 0
replace dp2 = trim(dp2)

replace layoff_date = date(dp2,"MDY") if layoff_date == .
drop dp*


g city = trim(upper(City))
g county_name = trim(upper(County))



replace county_name = "GENESEE" if inlist(city,"BURTON","FLINT")
replace county_name = "MACOMB" if city == "CHESTERFIELD"
replace county_name = "WAYNE" if inlist(city,"DETROIT","FLAT ROCK")
replace county_name = "KENT" if city == "KENTWOOD"
replace county_name = "INGHAM" if city == "LANSING"
replace county_name = "ST. CLAIR" if city == "PORT HURON"
replace county_name = "SAGINAW" if city == "SAGINAW"
replace county_name = "BAY" if city == "BAY COUNTY"



g firm_name = upper(trim(CompanyName))
g workers_affected = real(NumberofLayoffs)


// Location Flag
g flag_loc = .
replace flag_loc = 1 if county_name == "MACOMB, OAKLAND, WAYNE"
replace flag_loc = 1 if county_name == "OAKLAND COUNTY/MONTCALM COUNTY"
replace flag_loc = 2 if city == "9 LOCATIONS"
replace flag_loc = 2 if city == "STATEWIDE"



// Manual # of Workers Affected Fixes
g flag_affected = 0
replace flag_affected = 4 if inlist(NumberofLayoffs,"Undisclosed","Unknown","")



// Save Cleaned Data
keeporder announce_date receive_date layoff_date firm_name state city county_name ///
    workers_affected flag_loc flag_affected

save mi_warn, replace
