import excel wa_warn.xlsx, allstring firstrow clear

g state = "WA"
replace firm_name = trim(upper(firm_name))
replace location = trim(upper(location))


destring workers_affected, replace


g layoff_date = date(layoff_start_date,"MDY")
g receive_date = date(received_date,"MDY")

format layoff_date receive_date %td


replace location = substr(location,1,length(location)-4) if ///
    strpos(location,", WA") > 0
replace location = "LAKEWOOD" if location == "LAKEWOOD WA"
replace location = "FORT LEWIS" if location == "FT. LEWIS"
replace location = "PUGET SOUND" if location == "PUGET SOUND AREA"
replace location = "PUGET SOUND" if location == "5 PUGET SOUND MILITARY LOCATIONS"
replace location = "BOTHELL, REDMOND" if location == "BOTHELL/REDMOND"
replace location = "EASTSOUND" if location == "EASTSOUND (ORCAS ISLAND)"

// Match municipalities to counties
preserve
use wa_muni_county_crosswalk, clear
duplicates tag state muni, g(dup)
drop if dup > 0
drop dup
tempfile wa_cross
save `wa_cross'
restore

ren location muni
merge m:1 state muni using `wa_cross', keep(1 3)
ren muni location
ren _m merge1

replace county_name = "PIERCE" if location == "PIERCE COUNTY"
replace county_name = "WHATCOM" if location == "WHATCOM, COUNTY"
replace county_name = "YAKIMA" if location == "YAKIMA COUNTY"

replace county_name = "KING" if location == "SEATAC"
replace county_name = "KITSAP" if location == "BANGOR"
replace county_name = "KITSAP" if location == "BANGOR, SILVERDALE"
replace county_name = "CLALLAM" if location == "BEAVER & FORKS"
replace county_name = "KING" if location == "BELLEVUE & KIRKLAND"
replace county_name = "KING" if ///
	location == "BELLEVUE, KIRKLAND, REDMOND, SEATTLE, TUKWILA"
replace county_name = "KING" if location == "REDMOND & KENT"
replace county_name = "KING" if location == "SEATTLE, BELLEVUE"
replace county_name = "KING" if location == "SEATTLE-RENTON"
replace county_name = "KING" if location == "SEATTLE-TACOMA"
replace county_name = "SPOKANE" if location == "FAIRCHILD AFB"
replace county_name = "PIERCE" if location == "FORT LEWIS"


// Note: I'm assigning BOTHELL to King County (even though in two)
replace county_name = "KING" if inlist(location,"BOTHELL", ///
    "BOTHELL, REDMOND", "BOTHELL/REDMOND/BELLEVUE")

	
// Deal with multi-county notices
replace county_name = "KING, SNOHOMISH" if firm_name == "BOEING"
replace county_name = "KING, PIERCE" if location == "KENT, BOTHELL, BELLEVUE, FIFE"
replace county_name = "KING, SNOHOMISH, SPOKANE" if location == "KENT, EVERETT, SPOKANE"
replace county_name = "SNOHOMISH, PIERCE" if location == "LYNWOOD, MUKILTEO, LAKEWOOD"
replace county_name = "KITSAP, SNOHOMISH" if location == "NORTH CREEK & FAIRVIEW"
replace county_name = "KING, SNOHOMISH" if location == "SEATTLE, MOUNTLAKE TERRACE"
replace county_name = "CLARK, KING, PIERCE" if location == "SEATTLE, TACOMA AND VANCOUVER"
replace county_name = "MASON, PIERCE" if location == "TACOMA/SHELTON"
replace county_name = "BENTON, YAKIMA" if location == "YAKIMA & KENNEWICK"



// loc flag
g flag_loc = 0
replace flag_loc = 1 if inlist(location,"FERRY AND OKANOGAN COUNTIES", ///
    "SNOHOMISH AND SPOKANE COUNTIES","LYNNWOOD, VANCOUVER","BOTHELL/EVERETT")
replace flag_loc = 1 if inlist(county_name,"KING, SNOHOMISH","KING, PIERCE", ///
	"KING, SNOHOMISH, SPOKANE","SNOHOMISH, PIERCE","KITSAP, SNOHOMISH")
replace flag_loc = 1 if inlist(county_name,"KING, SNOHOMISH", ///
	"CLARK, KING, PIERCE","MASON, PIERCE","BENTON, YAKIMA")
replace flag_loc = 1 if location == "PUGET SOUND"
replace flag_loc = 0 if firm_name == "BOEING"
replace flag_loc = 2 if inlist(location,"4 SITES","NINE LOCATIONS - WA", ///
	"NINETEEN LOCATIONS ACROSS WASHINGTON STATE","STATEWIDE", ///
	"VARIOUS LOCATIONS IN WASHINGTON","WESTERN WASHINGTON")
replace flag_loc = 3 if inlist(location,"NOT PROVIDED")


// Save Cleaned Data
keeporder receive_date layoff_date firm_name state county_name ///
    workers_affected flag_loc

save wa_warn, replace

